Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.shrinkwrap.descriptor.api.webcommon30
Enum WebAppVersionType

    java.lang.Object
      java.lang.Enum<WebAppVersionType>
          org.jboss.shrinkwrap.descriptor.api.webcommon30.WebAppVersionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WebAppVersionType>

    public enum WebAppVersionType

extends java.lang.Enum<WebAppVersionType>

This class implements the `web-app-versionType` xsd type

Original Documentation:

This type contains the recognized versions of
web-application supported. It is used to designate the
version of the web application.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Enum Constant Summary
`_3_0`

Method Summary
`static WebAppVersionType` | `getFromStringValue(java.lang.String value)`
`java.lang.String` | `toString()`
`static WebAppVersionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WebAppVersionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _3_0

    public static final WebAppVersionType _3_0

Method Detail

### values

    public static WebAppVersionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (WebAppVersionType c : WebAppVersionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static WebAppVersionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<WebAppVersionType>`

### getFromStringValue

    public static WebAppVersionType getFromStringValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD